<?php
// Main dashboard page with session validation
session_start();

if (!isset($_SESSION['user'])) {
    header('Location: login.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
    <link rel="stylesheet" href="assets/css/styles.css">
</head>
<body>
    <div class="dashboard-container">
        <h1>Welcome to the ERP Dashboard</h1>
        <p>You are logged in as: <?php echo $_SESSION['user']; ?></p>
        <ul>
            <li><a href="views/messaging/inbox.php">Messaging</a></li>
            <li><a href="views/users/list_users.php">User Management</a></li>
            <li><a href="views/modules/list_modules.php">Modules</a></li>
        </ul>
    </div>
</body>
</html>